org.apache.lucene.queries.function.valuesource

## Class ProductFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.MultiFloatFunction
    - - org.apache.lucene.queries.function.valuesource.ProductFloatFunction

    public class ProductFloatFunction
    extends MultiFloatFunction

`ProductFloatFunction` returns the product of it's components.

### Field Summary

### Fields inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

`sources`

### Constructor Summary

Constructors
Constructor and Description
`ProductFloatFunction(ValueSource[] sources)`

### Method Summary

Methods
`protected float` `func(int doc, FunctionValues[] valsArr)`
`protected String` `name()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

`createWeight, description, equals, getValues, hashCode`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProductFloatFunction

    public ProductFloatFunction(ValueSource[] sources)

### Method Detail

#### name

    protected String name()

Specified by:
  `name` in class `MultiFloatFunction`

#### func

    protected float func(int doc,
             FunctionValues[] valsArr)

Specified by:
  `func` in class `MultiFloatFunction`